Package com.independentsoft.office.odf.styles

# Class Marker

java.lang.Object
com.independentsoft.office.odf.styles.Marker

public class Marker extends Object
Represents a marker, which is used to draw polygons at the start and end points of strokes. Markers are not available as automatic styles.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Marker()`
  Initializes a new instance of the Marker class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Marker`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getDisplayName()`
  Gets the name of the marker.
  `String`
  `getName()`
  Gets the name by which a marker can be referenced.
  `String`
  `getPathData()`
  Gets the newline characters and thus can be broken up into multiple lines to improve readability.
  `String`
  `getViewBox()`
  Gets the user coordinate system inside the physical coordinate system of the shape specified by the position and size attributes.
  `void`
  `setDisplayName​(String displayName)`
  Sets the name of the marker.
  `void`
  `setName​(String name)`
  Sets the name by which a marker can be referenced.
  `void`
  `setPathData​(String pathData)`
  Sets the newline characters and thus can be broken up into multiple lines to improve readability.
  `void`
  `setViewBox​(String viewBox)`
  Sets the user coordinate system inside the physical coordinate system of the shape specified by the position and size attributes.
  `String`
  `toString()`
  Converts the value of the current Marker object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Marker

    public Marker()
    Initializes a new instance of the Marker class.

- ## Method Details

  - ### clone

    public Marker clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Marker object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name by which a marker can be referenced.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name by which a marker can be referenced.
    Parameters:
      `name` - the new name

  - ### getDisplayName

    public String getDisplayName()
    Gets the name of the marker.
    Returns:
      the display name

  - ### setDisplayName

    public void setDisplayName​(String displayName)
    Sets the name of the marker.
    Parameters:
      `displayName` - the new display name

  - ### getViewBox

    public String getViewBox()
    Gets the user coordinate system inside the physical coordinate system of the shape specified by the position and size attributes.
    Returns:
      the view box

  - ### setViewBox

    public void setViewBox​(String viewBox)
    Sets the user coordinate system inside the physical coordinate system of the shape specified by the position and size attributes.
    Parameters:
      `viewBox` - the new view box

  - ### getPathData

    public String getPathData()
    Gets the newline characters and thus can be broken up into multiple lines to improve readability.
    Returns:
      the path data

  - ### setPathData

    public void setPathData​(String pathData)
    Sets the newline characters and thus can be broken up into multiple lines to improve readability.
    Parameters:
      `pathData` - the new path data